Subject: FVWM: >> FvwmM4 fails to compile <<

From: "Robert A. Nader" <[email-masked]>
Date: Wed, 23 Sep 1998 12:50:31 +0300 (GMT+3)

G'day,

I'd like to use Fvwm4, but it fails to compile ...

[532][12:49:47][ekxran@suna14] ~
$ uname -a
SunOS suna14 5.5 Generic_103093-02 sun4m sparc SUNW,SPARCstation-10

[617][12:25:30][ekxran@suna14] ~/src2/fvwm-2.0.46/modules/FvwmM4
$ make
rm -f FvwmM4
gcc -o FvwmM4 FvwmM4.o -O2 -Wall    -L/usr/openwin/lib ../../libs/libfvwm2.a -L/gppr/local/lib -lXpm  -lXext -lX11  -lsocket -lnsl -B/usr/ccs/bin/
Undefined                       first referenced
 symbol                             in file
__sF                                FvwmM4.o
ld: fatal: Symbol referencing errors. No output written to FvwmM4
collect2: ld returned 1 exit status
gcc: file path prefix `/usr/ccs/bin/' never used
make: *** [FvwmM4] Error 1

I searched with 'nm' every where for "__sF"; I find it appears only
in FvwmM4.o.

I tried with the GNU linker by removing the -B/usr/ccs/bin/, however
it still complains about "__sF".

Any ideas are greatly appreciated.

Thanks in advance,

Robert A. Nader
Phone: 873-3687
Email: [email-masked]
Geophysical Data Processing Division - EXPEC - ARAMCO
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].